Update organization details (to accept an invitation).

patch https://app.mk.io/api/v1/user/organizations/:organization_id

The only field that can be modified is the invite state, and that should be set to 'accepted' to accept a 'pending' invitation to work with a new organization. To decline a pending invitation, use the DELETE method instead.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organization_id string Required format: uuid

Request

This endpoint expects an object.

specobjectUserOrganizationSpecSchemaOptional
Specification.
Show 1 propertyHide 1 property
Pending invitation to work with this organization.
Show 3 propertiesHide 3 properties
stateenumRequired
State of the invite.
Allowed values:acceptedpending

Response

200 OK
kindstringOptional
The kind of record.
metadataobjectUserOrganizationMetadataSchemaOptional
Metadata.
Show 2 propertiesHide 2 properties
idstringRequiredformat: uuid
ID of the organization.
namestringRequired
Name of the organization.
specobjectUserOrganizationSpecSchemaOptional
Specification.
Show 1 propertyHide 1 property
Pending invitation to work with this organization.
Show 3 propertiesHide 3 properties
commentstringRequired
Comment from the inviter.
invitedBystring or nullRequired
Email of the user who sent the invite.
stateenumRequired
State of the invite.
Allowed values:acceptedpending

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code